%define anolis_release 1
%define debug_package %{nil}

%global pypi_name hatchling
%global pypi_version 1.11.1

Name:           python-hatchling
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Modern, extensible Python build backend
License:        MIT License
URL:            https://pypi.org/project/hatchling/
Source0:        %{pypi_source hatchling}

BuildRequires:  python3-devel
BuildArch:      noarch

%description
This is the extensible, standards compliant build backend used by Hatch.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{description}

%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf  %{buildroot}%{python3_sitelib}/hatchling-%{version}.dist-info/licenses/LICENSE.txt

%check
# It’s not yet clear how, or if, we can run the upstream tests.
# https://github.com/pypa/hatch/issues/120
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license scripts/update_licenses.py LICENSE.txt
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files -n python3-%{pypi_name}-doc
%doc README.md


%changelog
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.1-1
- update to version 1.11.1

* Fri Oct 14 2022 happy_orange <songnannan@linux.alibaba.com> - 1.11.0-1
- init package from upstream
